### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.connection

# Class LoadBalancingCluster

java.lang.Object
com.sas.services.connection.Cluster
com.sas.services.connection.LoadBalancingCluster

All Implemented Interfaces:
  `Serializable`, `Cloneable`

@SASScope("ALL") @BinaryCompatibilityOnly public final class LoadBalancingCluster extends Cluster
A load balancing cluster of IOM servers. The load balancing feature is implemented with a IOM Object Spawner that monitors the load of a set of redundant servers and directs requests for new connections to the least loaded server.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.sas.services.connection.Cluster

  `TYPE_FAILOVER, TYPE_LOAD_BALANCING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoadBalancingCluster(Server server)`
  Construct a load balancing cluster with one server.
  `LoadBalancingCluster(Server[] servers)`
  Construct a load balancing cluster cluster of IOM servers.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected int`
  `computeMaxClients()`
  `int`
  `getClusterType()`
  Get the cluster type.

  ### Methods inherited from class com.sas.services.connection.Cluster

  `clone, equals, getAuthService, getClassID, getDomain, getEntryPoint, getInstance, getMaxClients, getServerArray, hashCode, isSecurityPackageAllowed, setServerArray, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LoadBalancingCluster

    public LoadBalancingCluster(Server server)
    Construct a load balancing cluster with one server. This constructor is a shortcut for the following more complicated code:

         LoadBalancingCluster(new Server[]{server})

    Parameters:
      `server` - the server to add to the cluster

  - ### LoadBalancingCluster

    public LoadBalancingCluster(Server[] servers)
    Construct a load balancing cluster cluster of IOM servers.
    Parameters:
      `servers` - the servers to add to the cluster.

- ## Method Details

  - ### getClusterType

    public int getClusterType()
    Get the cluster type. This method always returns `Cluster.TYPE_LOAD_BALANCING`.
    Specified by:
      `getClusterType` in class `Cluster`
    Returns:
      the cluster type
    See Also:
      - `Cluster.TYPE_LOAD_BALANCING`

  - ### computeMaxClients

    protected int computeMaxClients()
    Specified by:
      `computeMaxClients` in class `Cluster`